Subject: Re: [PATCH] net/ethernet: Fix full name of the GPL

From: Diederik de Haas <[email-masked]>
Date: Mon, 23 Jan 2023 16:26:56 +0100

On Monday, 23 January 2023 11:15:59 CET Simon Horman wrote:
> On Sun, Jan 22, 2023 at 07:25:32PM +0100, Diederik de Haas wrote:
> > Signed-off-by: Diederik de Haas <[email-masked]>
> > ---
> > 
> >  drivers/net/ethernet/8390/mac8390.c      | 2 +-
> >  drivers/net/ethernet/i825xx/sun3_82586.c | 2 +-
> >  drivers/net/ethernet/i825xx/sun3_82586.h | 2 +-
> >  3 files changed, 3 insertions(+), 3 deletions(-)
> 
> as we are here would it be better to just move to an SPDX header instead?

Hi Simon,

Yes it would be better to move to SPDX header(s) instead.
But I now think [1] that I would be (technically) changing the license and I'm 
not in a position to do that.
While it may be reasonable to *assume* that GNU General Public License was 
meant, I think that's not enough when it comes to legal/license issues.

So please disregard my patch submission and apologies for the noise.

Regards,
  Diederik

[1] https://lore.kernel.org/lkml/2281101.Yu7Ql3qPJb@prancing-pony/